## How to contribute to Ruby on Rails

#### **Did you find a bug?**

* **Do not open up a GitHub issue if the bug is a security vulnerability**, and instead to contact us by email contact@ginkonote.com.

* **Ensure the bug was not already reported** by searching on GitHub under [Issues](https://github.com/floXcoder/seo_cache/issues).

* If you're unable to find an open issue addressing the problem, [open a new one](https://github.com/floXcoder/seo_cache/issues/new). Be sure to include a **title and clear description**, as much relevant information as possible, and a **scenario** demonstrating the expected behavior that is not occurring.

* If possible, use the relevant bug report templates to create the issue:
  * [**Bug** issues](https://github.com/floXcoder/seo_cache/blob/develop/.github/ISSUE_TEMPLATE/bug_report.md)*
  
#### **Did you have an idea to improve the project?**

* Open a new GitHub issue request with your idea.

* If possible, use the relevant feature report templates to create the issue:
  * [**Feature** issues](https://github.com/floXcoder/seo_cache/blob/develop/.github/ISSUE_TEMPLATE/feature_request.md)

#### **Did you write a patch that fixes a bug or do you intend to add a new feature or change an existing one?**

* Fork the project, write your code and open a new GitHub pull request with the patch.

* Ensure the PR description clearly describes the problem and solution. Include the relevant issue number if applicable.

* If possible, use the relevant pull request report templates to create the issue:
  * [**Pull Request**](https://github.com/floXcoder/seo_cache/blob/develop/.github/pull_request_template.md)
  
#### **Do you have questions about the source code?**

* You can contact me by email: flo@l-x.fr. I will try to answer as much I can and if available.


Thanks!

---

This contributing guide is released under [CCO](https://creativecommons.org/publicdomain/zero/1.0/) (public domain). Use it for your own project without attribution.
